package org.plenix.jsp;

public class JspException extends Exception
{
  public JspException(String message)
  {
    super(message);
  }

  public String toHtml()
  {
    return
      "<HTML>\n" +
      "<HEAD>\n" +
      "  <TITLE>JSP Exception" +
      "</TITLE>\n" +
      "</HEAD>\n" +
      "<BODY BGCOLOR='#ffffff'>\n" +
      "  <CENTER><H3><FONT COLOR='red'>Error Processing JSP Request</FONT></H3></CENTER>\n" +
      "  <B><PRE>\n" +
      Util.htmlEncode(this.getMessage()) + "<BR><P>" +
      "  </PRE></B>\n" +
      "</BODY>\n" +
      "</HTML>\n";
  }
}
